สนใจลงโฆษณา คลิกที่นี่

ผู้เขียน หัวข้อ: Happy New Year 2006 พร้อมกับดาวน์โหลด SMF 1.1 RC2 ภาษาไทย  (อ่าน 59756 ครั้ง)

0 สมาชิก และ 1 บุคคลทั่วไป กำลังดูหัวข้อนี้

ออฟไลน์ КёngЯacing

  • Administrator
  • *****
  • กระทู้: 288
    • ดูรายละเอียด
สำหรับฟอรั่มที่ติดตั้งใหม่ ให้ดาวน์โหลดไฟล์ thai-smf_1-1-rc2_install.zip
ในไฟล์ดังกล่าว มี SMF เวอร์ชั่น 1.1 RC2 พร้อมภาษาไทยติดตั้งไว้ให้แล้ว ไม่ต้องติดตั้งภาษาไทยเพิ่มเติมอีก

สำหรับอัพเดทฟอรั่ม จากเวอร์ชั่นเก่ากว่า 1.1 RC2 ให้ดาวน์โหลดไฟล์ thai-smf_1-1-rc2_update.zip
ในไฟล์ดังกล่าว มี SMF เวอร์ชั่น 1.1 RC2 พร้อมภาษาไทยติดตั้งไว้ให้แล้ว ไม่ต้องติดตั้งภาษาไทยเพิ่มเติมอีก


ไฟล์ภาษาไทย สำหรับคนที่ดาวน์โหลด SMF 1.1 RC2 มาจากเว็บไซต์ของ SMF
ให้ดาวน์โหลดเฉพาะไฟล์ภาษาไทย thai-language-1.1-rc2.zip


* แปลเพิ่มไฟล์ Manual.thai.php วันที่ 13 ม.ค. ใช้สำหรับส่วนช่วยเหลือจากเมนูช่วยเหลือ ตามตัวอย่างนี้ http://smf.rcweb.net/index.php?action=help
แปลเพิ่มโดยคุณ TinaCat

[ไฟล์แนบถูกลบโดยผู้ดำเนินการ]
« แก้ไขครั้งสุดท้าย: 12/01/06, 23:03:32 โดย КёngЯacing »

ออฟไลน์ บาทเดียว

  • New Member
  • *
  • กระทู้: 9
    • ดูรายละเอียด
ขอบคุณครับ เดี๋ยวพรุ่งนี้จะจับไปลองบน freebsd6 ซะน่อย ;D
ผมล่ะหวั่นๆเรื่องภาษาไทยของ mysql5 จังเลย ได้ไม่ได้เดี๋ยวพรุ่งนี้มารายงานผลครับ
« แก้ไขครั้งสุดท้าย: 1/01/06, 10:20:11 โดย КёngЯacing »

ออฟไลน์ umasa_ib

  • New Member
  • *
  • กระทู้: 10
    • ดูรายละเอียด
ขอบคุณมากครับ

ออฟไลน์ TinaCat

  • Global Moderator
  • *****
  • กระทู้: 313
  • เพศ: หญิง
  • { Cat.Mazta }
    • ดูรายละเอียด
    • JustUsers.net
ขอบคุณ คุณเก่ง มากๆค่ะ
SMF 1.1 RC2 ดูแล้วน่าเล่นกว่าเดิมมาก
เราลองกับเว็บ JustUsers.net แล้ว
Core Theme ของ SMF 1.1 RC2 สวยมากๆเลย  ^__^


Don't laugh everytime you win, but smile when you be a loser.

ออฟไลน์ บาทเดียว

  • New Member
  • *
  • กระทู้: 9
    • ดูรายละเอียด
กว่าจะได้ติดตั้งเล่นเอาเหนื่อยเหมือนกัน คอนฟิกเซิร์ฟเวอร์ใหม่กว่าจะเสร็จก็ค่ำพอดี ;D หาข้าวหาปลากินเสร็จสรรพก็เลยมานั่งติดตั้ง SMF ดู :D
ผลการติดตั้งผ่านไปได้ด้วยดีครับ ไม่เจอปัญหาเรื่องภาษาไทยตามที่กลัวๆ :P รายละเอียดตัว server ผมมีดังนี้ครับ

ตัว OS ใช้ FreeBSD 6.0 STABLE

ด้าน Web Server
Apache 2.0.55
Perl 5.8.7
PHP 5.1.1
MySQL 5.0.17
phpMyAdmin 2.7.0-pl2
ZendOptimizer 2.6.0
GD 2.0.28
 
Mail Server ใช้
Postfix 2.2.7
POP3 Dovecot

และอื่นๆอีกนิดหน่อย ส่วนเน็ตใช้ adsl csloxinfo 256/128
ไหนๆล่ะเอาสเปคเครื่องไปเลยละกัน อิอิ ;D
Celeron 400MHz
SDRAM 128MB
HDD 10.2 GB

http://www.techbuddy.net/xforums/index.php

อ้อ..ที่ตัว SMF มีผิดพลาดอยู่จุดนึงครับ ในธีม default/image/thai/new.gif ที่ขาดหายไป(thai/new.gif )

ออฟไลน์ КёngЯacing

  • Administrator
  • *****
  • กระทู้: 288
    • ดูรายละเอียด
ถ้าไฟล์ที่อยู่ในโฟลเดอร์ image หายไป ให้ดาวน์โหลดไฟล์ thai-smf_1-1-rc2_install.zip แล้วเอาไฟล์ที่ขาดหายไป ไปใส่

ออฟไลน์ o_authority

  • ไอแอมโอ
  • New Member
  • *
  • กระทู้: 39
  • เพศ: ชาย
  • ก็งั้นๆ
    • ดูรายละเอียด
    • วรัทยา นิลคูหา
อัพเดทเรียบร้อยเหมือนกันแระ ว่าแต่มีลูกเล่นไรเพิ่มมั่งอ่ะ
Webboard

ขอบคุณสำหรับมิตรภาพดีๆที่มีให้กัน

ออฟไลน์ КёngЯacing

  • Administrator
  • *****
  • กระทู้: 288
    • ดูรายละเอียด
อัพเดทเรียบร้อยเหมือนกันแระ ว่าแต่มีลูกเล่นไรเพิ่มมั่งอ่ะ
อ่านได้ในหัวข้อนี้ http://smf.rcweb.net/index.php?topic=205.0

.0.

  • บุคคลทั่วไป
มานฟ้องมางี้อะครับทำไงดี

Unknown column 'lb.ID_MSG' in 'field list'
ไฟล์: /board/Sources/BoardIndex.php
บรรทัด: 83

บันทึก: ฐานข้อมูลคุณต้องการอัพเกรดใหม่ ฟอรั่มของคุณในขณะนี้เป็นเวอร์ชั่น SMF 1.1 RC2, ด้วยเหตุนี้ SMF ของคุณ 1.1 RC1. มันถูกแนะนำกับเวอร์ชั่นล่าสุดในไฟล์ upgrade.php.

 :-\ :-\ :-\

ช่วยแนะนำด้วยครับ - -''

ออฟไลน์ TinaCat

  • Global Moderator
  • *****
  • กระทู้: 313
  • เพศ: หญิง
  • { Cat.Mazta }
    • ดูรายละเอียด
    • JustUsers.net
มานฟ้องมางี้อะครับทำไงดี

Unknown column 'lb.ID_MSG' in 'field list'
ไฟล์: /board/Sources/BoardIndex.php
บรรทัด: 83

บันทึก: ฐานข้อมูลคุณต้องการอัพเกรดใหม่ ฟอรั่มของคุณในขณะนี้เป็นเวอร์ชั่น SMF 1.1 RC2, ด้วยเหตุนี้ SMF ของคุณ 1.1 RC1. มันถูกแนะนำกับเวอร์ชั่นล่าสุดในไฟล์ upgrade.php.

ไม่ทราบว่าคุณอัพไฟล์ขึ้นไปแล้ว  ได้สั่งรันไฟล์ upgrade.php หรือยังคะ??
แบบนี้ดูเหมือนว่าคุณยังไม่ได้ทำการอัพเกรดเลยน่ะค่ะ


Don't laugh everytime you win, but smile when you be a loser.

.0.

  • บุคคลทั่วไป
โง้อีกแหละผม  ;) :) ;) โทดทีนะครับ

บอล

  • บุคคลทั่วไป
server ผม spec นี้ หมดสิทธิใช้ RC2 ใช่ป่ะ

PHP เวอร์ชั่น: 4.3.2
MySQL เวอร์ชั่น: 3.23.58
Server เวอร์ชั่น: Apache/2.0.46 (Red Hat)
GD เวอร์ชั่น: bundled (2.0.12 compatible)

 :'( :'( :'(

ออฟไลน์ Yakultz

  • New Member
  • *
  • กระทู้: 13
  • เพศ: ชาย
    • ดูรายละเอียด
ติดตั้งเสร็จเรียบร้อยพอตั้งกระทู้ใหม่อะไรเสร็จ มันฟ้อง

ฐานข้อมูลผิดพลาด
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ' 1, 2)' at line 3
ไฟล์: /usr/local/psa/home/vhosts/thinkdifference.net/subdomains/smf/httpdocs/Sources/MessageIndex.php
บรรทัด: 102 


แล้วจะแก้ไขไงอ่ะ

ออฟไลน์ КёngЯacing

  • Administrator
  • *****
  • กระทู้: 288
    • ดูรายละเอียด
server ผม spec นี้ หมดสิทธิใช้ RC2 ใช่ป่ะ

PHP เวอร์ชั่น: 4.3.2
MySQL เวอร์ชั่น: 3.23.58
Server เวอร์ชั่น: Apache/2.0.46 (Red Hat)
GD เวอร์ชั่น: bundled (2.0.12 compatible)

 :'( :'( :'(
ใช้ได้ครับ
แต่เพื่อประสิทธิภาพสูงสุดควรจะเป็น PHP 5, MySQL 5


ติดตั้งเสร็จเรียบร้อยพอตั้งกระทู้ใหม่อะไรเสร็จ มันฟ้อง

ฐานข้อมูลผิดพลาด
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ' 1, 2)' at line 3
ไฟล์: /usr/local/psa/home/vhosts/thinkdifference.net/subdomains/smf/httpdocs/Sources/MessageIndex.php
บรรทัด: 102 


แล้วจะแก้ไขไงอ่ะ
ลองติดตั้งใหม่อีกครับ ตอนที่ติดตั้งครั้งแรก ฐานข้อมูลอาจจะไม่สมบูรณ์
ถ้าเป็นการติดตั้งครั้งแรก ต้องลบฐานข้อมูลเก่าออกก่อน
ถ้าเป็นการ upgrade เวอร์ชั่นเก่า ก็ upgrade.php อีกครั้ง

บอลคนเดิม

  • บุคคลทั่วไป
แล้วสิ่งที่ผมจะเสียไปจากการใช้ server spec นี้หลักๆ จะเป็นอะไรมั่งครับ

ออฟไลน์ КёngЯacing

  • Administrator
  • *****
  • กระทู้: 288
    • ดูรายละเอียด
แล้วสิ่งที่ผมจะเสียไปจากการใช้ server spec นี้หลักๆ จะเป็นอะไรมั่งครับ
อืม ไม่ทราบเหมือนกัน แต่ก็ไม่น่าจะมีอะไรเสีย เพียงแต่ php กับ mysql เวอร์ชั่นใหม่ แก้ไขข้อผิดพลาดจากเวอร์ชั่นเก่าๆ และมีผลทำให้เร็วขึ้นได้อีกนิดหน่อย
php 4.3 ไม่มีปัญหา ใช้ได้เลย แต่ mysql นี้ หลายๆ ฟอรั่ม แนะนำให้ใช้ตั้งแต่เวอร์ชั่น 4 ขึ้นไป

ออฟไลน์ Yakultz

  • New Member
  • *
  • กระทู้: 13
  • เพศ: ชาย
    • ดูรายละเอียด
ลองติดตั้งไป 3 ครั้งแล้วครับมันก็ฟ้องอาการเดิมอ่ะครับ
สเป็กผม Database : MySQL 3.23.5.6
 PHP 4.3.2

เป็นเพราะสเป็กรึป่าวครับ  ช่วยแนะนำหน่อยครับ (มือใหม่ครับ)

ออฟไลน์ TinaCat

  • Global Moderator
  • *****
  • กระทู้: 313
  • เพศ: หญิง
  • { Cat.Mazta }
    • ดูรายละเอียด
    • JustUsers.net
MySQL 3.23.5.6 อันนี้เราว่ามันต่ำเกินไปสำหรับ SMF 1.1 RC1/RC2 นะ
อย่างน้อยคงต้องใช้เวอร์ชั่น 4 ขึ้นไปถึงจะได้
อย่างของเรา JustUsers.net ก็ใช้ตามนี้  และยังไม่เจอปัญหาแบบเดียวกับคุณ
PHP version 4.3.10   
MySQL version 4.0.21


Don't laugh everytime you win, but smile when you be a loser.

บอลคนเดิม

  • บุคคลทั่วไป
server ผม spec นี้ หมดสิทธิใช้ RC2 ใช่ป่ะ

PHP เวอร์ชั่น: 4.3.2
MySQL เวอร์ชั่น: 3.23.58
Server เวอร์ชั่น: Apache/2.0.46 (Red Hat)
GD เวอร์ชั่น: bundled (2.0.12 compatible)

 :'( :'( :'(

ผมลองลงดูแล้วก็ใช้ได้นะครับ ไม่มีปัญหาเรื่อง mysql เลย แต่เป็นแบบ fresh install นะครับ ยังไม่ได้ลอง upgrade จาก 1.0 (ตัวที่ใช้อยู่)

ออฟไลน์ บาทเดียว

  • New Member
  • *
  • กระทู้: 9
    • ดูรายละเอียด
MySQL ควรจะเป็นเวอร์ชั่น 4.0 ขึ้นไป
PHP ก็เช่นกัน 4.0 ขึ้นไป
GD ก็ 2 ขึ้นไป
Apache ใช้ได้ทั้ง 1.3 และ 2.0
 ;D

jEnjAd

  • บุคคลทั่วไป
phpMyAdmin 2.5.3
MySQL 3.23.58

ใช้ได้ไหมครับ

ออฟไลน์ TinaCat

  • Global Moderator
  • *****
  • กระทู้: 313
  • เพศ: หญิง
  • { Cat.Mazta }
    • ดูรายละเอียด
    • JustUsers.net
ถ้าหากว่า MySQL ที่ใช้งานอยู่ต่ำกว่าเวอร์ชั่น 4.0
แนะนำว่าให้ใช้งาน SMF 1.0.5 น่าจะดีกว่าค่ะ


Don't laugh everytime you win, but smile when you be a loser.

ออฟไลน์ КёngЯacing

  • Administrator
  • *****
  • กระทู้: 288
    • ดูรายละเอียด
แปลเพิ่มไฟล์ Manual.thai.php วันที่ 13 ม.ค. ใช้สำหรับส่วนช่วยเหลือจากเมนูช่วยเหลือ ตามตัวอย่างนี้ http://smf.rcweb.net/index.php?action=help
แปลเพิ่มโดยคุณ TinaCat

ดาวน์โหลดได้ที่ http://smf.rcweb.net/index.php?action=dlattach;topic=230.0;attach=40

ออฟไลน์ TinaCat

  • Global Moderator
  • *****
  • กระทู้: 313
  • เพศ: หญิง
  • { Cat.Mazta }
    • ดูรายละเอียด
    • JustUsers.net
ถ้าท่านใดโหลดไฟล์ Manual.thai.php ไปแล้ว
ให้โหลดไฟล์ Help.template.php อันนี้ไปด้วยค่ะ

ไฟล์ต้นฉบับจาก SMF มี 3 จุดที่ไม่ได้ใช้ค่าตัวแปรภาษาในการแสดงผลน่ะค่ะ




ส่วนไฟล์ที่แนบมา  เราแก้ไขให้เรียบร้อยแล้วค่ะ

ดาวน์โหลด : http://smf.rcweb.net/index.php?action=dlattach;topic=230.0;attach=42




[ไฟล์แนบถูกลบโดยผู้ดำเนินการ]
« แก้ไขครั้งสุดท้าย: 13/01/06, 12:54:55 โดย TinaCat »


Don't laugh everytime you win, but smile when you be a loser.

ออฟไลน์ slax

  • New Member
  • *
  • กระทู้: 1
    • ดูรายละเอียด
ต้องลองบ้างแล้วววว :)

คนนึ่ง

  • บุคคลทั่วไป
ผมคนหนึ่งครับสเป็ก server

MySQL 3.23.58


ไม่มีปัญหาครับ ( แต่จะมีปัญหาเรื่อง Bug 1หน้า php)
ใครเจอ Bug บอกนะได้นะครับ
แก้ได้แล้วครับ


ปล. คนเรารวยผิดกันครับ สำหรับทั่นที่ spac ต่ำๆ ไม่ต้องตกใจครับ ทุกปัญหามีทางออก  :)

ออฟไลน์ จอมจักรพรรดิ์

  • New Member
  • *
  • กระทู้: 3
  • ผู้ชนะ คือคนที่เป็นผู้แพ้มาก่อน
    • ดูรายละเอียด
    • sc2online.com
ตอนนี้ผมใช้ 1.1 beta อยู่ครับ ถ้าจะเปลียนมาใช้เป็น 1.1 rc2 จะใช้ฐานข้อมูลเดิมได้หรือเปล่าครับ ข้อมูลเก่าจะหายไปหรือเปล่า

ออฟไลน์ TinaCat

  • Global Moderator
  • *****
  • กระทู้: 313
  • เพศ: หญิง
  • { Cat.Mazta }
    • ดูรายละเอียด
    • JustUsers.net
ใช้วิธี Upgrade  ก็สามารถใช้ข้อมูลเดิมได้ค่ะ
(แบคอัพฐานข้อมูลไว้ก่อนอัพเกรดกันพลาดก็ดีค่ะ)


Don't laugh everytime you win, but smile when you be a loser.

tiw

  • บุคคลทั่วไป
ดีจัง :) :) :)

ออฟไลน์ surawut

  • New Member
  • *
  • กระทู้: 2
    • ดูรายละเอียด
ไม่ทราบว่า SMF 1.1 rc2 นี้ เชื่อมต่อกับ Mambo 4.5.2 ได้หรือไม่ครับ

ผมเคยทำได้ใน version SMF 1.0.6 + Mambo 4.5.2  แล้ว
แต่ใน version SMF 1.1 rc2 + Mambo 4.5.2 ยังไม่สำเร็จสักทีเลย....
ต้องใช้ bridge หรือ component ตัวไหนบ้างครับ
รบกวนช่วยตอบทีนะครับ...